# sample 配置文件不会生效
# 本配置文件中的相对路径都是相对于部署路径，
# 如 /usr/local/easyops/ucpro_service

service:
    ip: "0.0.0.0"   # 监听ip
    port: 6608      # 监听port, 逻辑组件监听端口应该在8001~8099之间，新组件需要找平台组同学分配端口号。
    mode: debug     # "debug" "release" "test"

log:
    level: debug
    logfile:
        filename: "log/ucpro_service.log"
        maxsize: 50     # MB
        maxage: 30      # days
        maxbackups: 20

accesslog:
    filename: "log/ucpro_service_access.log"
    maxsize: 50     # MB
    maxage: 30      # days
    maxbackups: 20

# 分布式追踪配置
tracing:
    enable: false                    # 是否启用分布式追踪
    service_name: "logic.ucpro_service"     # 自身的服务名称
    report_log:
        log_file: "/usr/local/easyops/ens_client/log/trace_log/ucpro_service.log"  # 分布式追踪信息的存储目录
        log_size: 50                 #最大日志文件长度，单位M
        log_count: 2                #最大日志文件数量